
# 1.

sternchen = "***"
leer = " "

for _ in range(7):
    print(sternchen)
    sternchen = leer + sternchen


2.

#Aufgabe: Wo ist der Fehler?

# zahl = int(input("Geben Sie eine Zahl ein: "))
# int(zahl)
# if (zahl > 5):
#     print("größer 5")


# 3.

# print("Wilkommen. Geben sie Zahlen zum Addieren ein. Mit 0 beeneden sie die Eingabe")
# ges = 0
# while True:
#     wert = int(input("Wert: "))
#     ges = ges + wert
#     if wert == 0:
#         print(f"Zusammen ergibt das: {ges}")
#         break


# 4.

# zahlenfolge = []
# print("Wilkommen, bitte geben sie Zahlen fpr die Zahlenfolge ein!")
# while True:
#     wert = int(input("Wert: "))

#     if wert == 0:
#         zahlenfolge.reverse()
#         print(zahlenfolge)
#         break

#     zahlenfolge.append(wert)

# oder, nicht als liste ausgegeben

# zahlenfolge = []
# print("Wilkommen, bitte geben sie Zahlen fpr die Zahlenfolge ein!")
# while True:
#     wert = int(input("Wert: "))

#     if wert == 0:
#         for entry in zahlenfolge[::-1]:
#             print(entry)

#     zahlenfolge.append(wert)

# 5.

# zahlen = []
# ges = 0
# print("Bitte geben sie Zahlen zum Addieren ein, jede Zahl wird nur einmal berücksichtigt. 0 Um das Program zu beenden.")

# while True:
#     wert = int(input("Zahl: "))
#     if wert in zahlen:
#         print("Wert bereits eingegeben")
#     if wert not in zahlen:
#         zahlen.append(wert)
#     if wert == 0:
#         for entry in zahlen:
#             ges = ges + entry
#         print(f"Abbruch erfolgreich, Gesamt: {ges}")
#         break


# 6.

o_banner = (" *** ",
            "*   *",
            "*   *",
            "*   *",
            " *** ")

h_banner = ("*   *",
            "*   *",
            "*****",
            "*   *",
            "*   *",)

m_banner = ("*   *",
            "** **",
            "* * *",
            "*   *",
            "*   *",)

banner1 = []
banner2 = []
banner3 = []
banner4 = []
banner5 = []
ges = []


eing = str(input("Bitte geben sie einen Banner ein: "))
eing = eing.lower()

for entry in eing:

    if entry == "o":
        banner1.append(o_banner[0])
        banner2.append(o_banner[1])
        banner3.append(o_banner[2])
        banner4.append(o_banner[3])
        banner5.append(o_banner[4])

    if entry == "h":
        banner1.append(h_banner[0])
        banner2.append(h_banner[1])
        banner3.append(h_banner[2])
        banner4.append(h_banner[3])
        banner5.append(h_banner[4])

    if entry == "m":
        banner1.append(m_banner[0])
        banner2.append(m_banner[1])
        banner3.append(m_banner[2])
        banner4.append(m_banner[3])
        banner5.append(m_banner[4])


ges = [banner1, banner2, banner3, banner4, banner5]

for ent in ges:
    print(*ent)


# oder mit dictionary und += um 5 einträge mit jeweils einem sting zu bekommen, die siche ifnacher drucken lassen und um die leerzeichen einfacher einzufügen

# banners = {
#     "o": o_banner,
#     "h": h_banner,
#     "m": m_banner
# }

# word = input("Geben Sie ein Wort ein: ").lower()

# result = [""] * 5

# for character in word:
#     if character in banners:
#         banner = banners[character]

#         for i in range(5):
#             result[i] += banner[i] + "  " 

# for zeile in result:
#     print(zeile)

